# Class SnpSiftCmdGt

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdGt

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine, org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdGt extends SnpSift
Add genotype information to INFO fields

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`SHOW_EVERY`

### Fields inherited from class SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdGt()`
`SnpSiftCmdGt(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getOutput()`
`protected List<org.snpeff.vcf.VcfHeaderEntry>`
`headers()`
Headers to add
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Process a VCF entry and return a string (tab separated values)
`void`
`usage(String msg)`
Show usage message

### Methods inherited from class SnpSift

`addHeaders, annotate, annotateFinish, annotateInit, cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, init, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHOW_EVERY

public static int SHOW_EVERY

## Constructor Details

### SnpSiftCmdGt

public SnpSiftCmdGt()

### SnpSiftCmdGt

public SnpSiftCmdGt(String[] args)

## Method Details

### getOutput

public String getOutput()

Overrides:
  `getOutput` in class `SnpSift`

### headers

protected List<org.snpeff.vcf.VcfHeaderEntry> headers()
Description copied from class: `SnpSift`
Headers to add

Overrides:
  `headers` in class `SnpSift`

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### run

public boolean run()
Process a VCF entry and return a string (tab separated values)

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`

### usage

public void usage(String msg)
Description copied from class: `SnpSift`
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`